"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyToken = exports.publishToken = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
function publishToken(userInfo, secretOrPublicKey, expiresIn, algorithm) {
    const token = jsonwebtoken_1.default.sign(userInfo, secretOrPublicKey, {
        expiresIn,
        algorithm
    });
    return token;
}
exports.publishToken = publishToken;
function verifyToken(token, secretOrPublicKey) {
    try {
        const decoded = jsonwebtoken_1.default.verify(token, secretOrPublicKey);
        return decoded;
    }
    catch (err) {
        throw new Error();
    }
}
exports.verifyToken = verifyToken;
