"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objectKeyToDecamelCase = exports.objectKeyToCamelCase = exports.hasSameProps = exports.compareObjWithKeys = void 0;
function compareObjWithKeys(fromObj, toObj, compareProps) {
    if (fromObj == undefined && toObj) {
        return false;
    }
    if (fromObj && toObj == undefined) {
        return false;
    }
    return compareProps.every((prop) => {
        if (fromObj[prop] && toObj[prop]) {
            return fromObj[prop].toString() === toObj[prop].toString();
        }
        else {
            return fromObj[prop] === toObj[prop];
        }
    });
}
exports.compareObjWithKeys = compareObjWithKeys;
function hasSameProps(obj1, obj2) {
    const obj1Props = Object.keys(obj1);
    const obj2Props = Object.keys(obj2);
    if (obj1Props.length === obj2Props.length) {
        return obj1Props.every(function (prop) {
            return obj2Props.indexOf(prop) >= 0;
        });
    }
    return false;
}
exports.hasSameProps = hasSameProps;
function objectKeyToCamelCase(obj) {
    let ccObj = {};
    Object.keys(obj).forEach((key) => {
        let camelKey = key
            .toLowerCase()
            .replace(/\_(\w)/g, (_, letter) => letter.toUpperCase());
        ccObj[camelKey] = obj[key];
    });
    return ccObj;
}
exports.objectKeyToCamelCase = objectKeyToCamelCase;
function objectKeyToDecamelCase(obj) {
    let dccObj = {};
    Object.keys(obj).forEach((key) => {
        let camelKey = key.replace(/([A-Z])/g, '_$1').toLowerCase();
        dccObj[camelKey] = obj[key];
    });
    return dccObj;
}
exports.objectKeyToDecamelCase = objectKeyToDecamelCase;
