"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.randomSerial = exports.randomString = void 0;
const nanoid_1 = require("nanoid");
function randomString(length = 16, alphabet = '0123456789abcdefghijklmnopqrstuvwxyz', dashSeperator = true) {
    const ni = (0, nanoid_1.customAlphabet)(alphabet, length);
    let rs = ni();
    if (length > 8 && dashSeperator) {
        const tailStartIdx = rs.length - 5;
        return `${rs.substring(0, tailStartIdx)}-${rs.substring(tailStartIdx, length - 1)}`;
    }
    else {
        return rs;
    }
}
exports.randomString = randomString;
function randomSerial(length = 6, alphabet = '0123456789abcdef', dashSeperator = true) {
    const nid = (0, nanoid_1.customAlphabet)(alphabet, length);
    let serial = nid();
    if (length > 8 && dashSeperator) {
        const tailStartIdx = serial.length - 5;
        return `${serial.substring(0, tailStartIdx)}-${serial.substring(tailStartIdx, length - 1)}`;
    }
    else {
        return serial;
    }
}
exports.randomSerial = randomSerial;
